Subject: FW: Missed Call Investigation
From: Brian Sexton <[email-masked]>
To: Saurabh Dadu <[email-masked]>, "[email-masked]" <[email-masked]>, Ashish Dabral <[email-masked]>
Cc: Aine Barry <[email-masked]>, Robert Cosgrove <[email-masked]>, Customer Service Tech Team <[email-masked]>
Date: Tue, 5 Mar 2019 13:21:50 +0000

Hi Saurabh,

Tech have done an investigation on the missed calls issue, could you please take a look at the below and provide your input.

If you could please do an investigation into the below, that would be much appreciated as we really do want this issue to be resolved.

Kind regards,
Brian

From: Aine Barry
Sent: Tuesday 5 March 2019 18:47
To: Robert Cosgrove <[email-masked]>; Brian Sexton <[email-masked]>
Cc: Customer Service Tech Team <[email-masked]>
Subject: Missed Call Investigation

Hi all,

Could you please forward this to the IT department in India?

We have been trying to discover the root of the issue where agents have been "missing calls" when their phone doesn't ring. We've investigated some things on our end and have a couple of theories and would appreciate your help/input on this.

Our current theory is that there is some mismatch in the refresh times on various configs between your end and our end.

I followed the example of Garima.Negi through our system. We offered them a call which appeared to not ring on their end. We can see from the trace that the trace that the invitation was sent, but absolutely no response was received. You would generally at least expect a "phone ringing" response here so it seems to be getting lost somewhere. I've attached the trace information for this. At the time, Garmia's IP and port were listed as 192.168.5.29:13113.

A few minutes later I saw them successfully receiving a call and their port at that time was 13119.

Is it possible for you to see where these invite requests might be going? Are they getting to your firewall? Are they getting to the machines? Anywhere they might be blocked/getting lost?
What causes the ports for agents' phones to change? How often does it change? Is there a chance that this can go out of sync with the registration information that we have for these agents?

One of the problems with trying to resolve this issue is that it seems to be very intermittent, so please bare that in mind while debugging.

Let us know if there is anything that we can do to help with this.
Kind regards,
Aine